package com.ningdatech.kqapi.irs.controller;

import java.util.List;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.ningdatech.kqapi.irs.manage.IrsManage;
import com.ningdatech.log.annotation.WebLog;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @author CMM
 * @date 2024/8/19 11:11
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/irs")
@Api(value = "irs", tags = "irs-信息查询")
@RequiredArgsConstructor
public class IrsController {

    private final IrsManage irsManage;

    @ApiOperation(value = "irs事项基本信息列表", notes = "irs事项基本信息列表")
    @GetMapping("/item-basic-info-list")
    public Object itemBasicInfoList(@RequestParam(required = false) String startDate,
                                          @RequestParam(required = false) String endDate,
                                          @RequestParam Integer pageSize,
                                          @RequestParam Integer pageNum) {
        return irsManage.itemBasicInfoList(startDate, endDate, pageSize, pageNum);
    }

    @ApiOperation(value = "irs事项基本信息列表", notes = "irs事项基本信息列表")
    @GetMapping("/item-basic-info-detail")
    public Object itemBasicInfoDetail(@RequestParam String itemId) {
        return irsManage.itemBasicInfoDetail(itemId);
    }
}
